 
/* barra de navegación */

.navbar {
   padding: 2 rem;
   background-color: #f5f6f7;
}

.navbar-collapse {
  align-items: center;
  justify-content: space-between;
}

.seccion-titulo
{
  font-size: 2rem;
  padding: 15px 0;
  font-family: 'Roboto Slab', serif;
}



.seccion-texto
{
  font-size: 1.2rem;

}

/* proyectos */

.proyectos.recientes
{
  padding: 40px;

}


.seccion-descripcion
{
  font-size: 1.2rem;
  color: #584e4e;
   
}


/* Nombre de los subtitulos de los modulos */
.seccion-descripcion1
{
  font-size: 2.0rem;
  color: #026937;
   
}
 


/* Descripción del módulos */
.seccion-descripcion1
{
  font-size: 1.5rem;
  color: #026937;
 
}
 
.proyectos-recientes img
{
  height: 100%;
  width: 100%;
  padding: 10px;
  border-radius: 10px;
  display: block;
  transition: all 0.2s ease;
} 

.proyectos-contenedor
{
   
  padding-top: 10px;
  margin-bottom: 40px;
} 

.overlay
{
  transition: all 0.2s ease;
  opacity: 0;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;

}


.overlay p
{
  font-size: 10px;
  font-weight: bold;
  margin-bottom: 0;
 }

 
.proyecto:hover img
{  
  opacity: 0.2;
 }

 
 .proyecto:hover .overlay
 {  
   opacity: 1;
  }
 
  .proyecto:hover{
    position: relative;
  }

  /*
  .overlay .iconos-contenedor
{
  display: flex;
}
*/
 
/* tamaño del logueo y camara filmadora*/
.overlay  
{
  color: black;
  font-size: 40px;
  margin: 10px;
}



/* seccion hero */

.hero {
 background-color: #f5f6f7;
 min-height: 400px;
 text-align: center;
}

.hero-principal {
  padding: 3rem;
 }

 
.hero-imagen-desarrollador {
  width: 200px;
  height: 200px;
  border-radius: 50%;
  margin: 20px;
 }
 

 .hero-principal h2 {
  font-size: 1.5rem;
  color: #615151;
 }

 /* sobre mi */
 .sobre-mi
 {
  height: 500px;
  padding: 10px;
 }

 .sobre-mi .contenedor
 {
  max-width: 600px;
  text-align: center;
 }

 /* estilos generales */

 section {
   display: flex;
   flex-direction: column;
   align-items: center;
   justify-content: center;
 }

 h1 {
  font-size: 2.5rem;
  font-family: 'Roboto Slab', serif;
 }
  
.seccion-oscura{
  color: white;
  background-color: #131318;
}

  
.seccion-clara{
  color: black;
  background-color: white;
}

.btn-info {
  font-size: 1.1.rem;
  margin: 20px;

}

.texto-negro
{
  color: black;
 
}

.texto-blanco
{
  color: white;
 
}


/* experiencia */


.experiencia i
{
  font-size: 1.5rem;
  color: #89D3D4;
  background-color: #0a0a23;
  padding: 8px 19px;
  border-radius: 50%;
}
 


.experiencia
{
  padding:40px 40px 60px 40px;
}

.experiencia-titulo
{
  font-size: 25px;
  font-weight: bold;
  margin: 10px 0;
}

.experiencia .columna
{
  padding: 20px;
  border: 2px solid #8080804d;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-evenly;
  transition: all 0.2s ease-in;
   
}


.experiencia .columna:hover
{
  color: white;
  background-color: #1b1b32;  
}


.badges-contenedor
{
 font-size: 20px;
 font-weight: bold;
 margin: 10px 0;
}

.badge
{
 
 margin: 5px;
}



/*
.experiencia .row div{
  height:350px;
  background-color: gray;
  border: 3px solid black;
}
*7

/* articulos */

.articulos
{
  min-height: 500px;
  padding: 30px;
}


.articulos .card
{
  width: 80%;
  max-width: 600px;
  margin: 20px;
  
}


.articulos .card-header
{
  font-weight: bold;
  
}


/* testimonios */

.testimonios
{
    padding: 40px 40px 80px 40px;
}

.testimonios .carousel
{
  max-width: 800px;
}

.carousel-item
{
  height: 500px;
}

.carousel-item .container
{
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.testimonio-imagen
{
  width: 150px;
  height: 150px;
  margin: 10px 10px 20px 10px;
}

.testimonio-texto
{
  max-width: 70%;
  font-size: 20px;
  text-align: center;
  font-family: 'Roboto', sans-serif;
}

.testimonio-info
{
 
  font-weight: bold;
  text-align: center;
  
}

.testimonio-info p
{
  margin-bottom: 0;
    
}

.testimonio-footer .cliente
{
  font-size: 1.2rem;
    
}

.testimonio-info .cargo
{
  font-size: 0.9rem;
  color: "#656060"
    
}

/* contacto */

.contacto .container
{
  max-width: 1100px;
  min-height: 200px;
  padding: 20px
}



.contacto .rectangulo
{
  margin-top: -5rem;
  background-color: rgb(2, 105, 55);
  border-radius: 10px;
  box-shadow: 0px 1px 4px 1px white;
}

.contacto .row
{
  width: 100%;
  display: flex;
  align-items: center;
}

.contacto .descripcion
{
 color: white;
 font-size: 1.2rem;
}

.contacto button
{
  color: white;
  font-weight: bold;
  background-color: transparent;
  border: 2px solid white;
  padding: 1.25em 2em;
  margin: 5px;
  border-radius: 100px;
  transition: all 0.2s ease-in-out;

}

.contacto button:hover
{
  background-color: white;
  color: black;
}

.contacto button:hover i
{
 color: black;
}

.contacto button i{
  color: white;
  font-size: 1.3rem;
  transition: all 0.2s ease-in-out;
}

/* footer */

footer
{
  min-height: 300px;
}

.footer-logo
{
  height: 80px;
  width: 200px;
  margin: 5px;
}

.footer-texto
{
  font-size: 1.5rem;
  padding: 20px;
  margin-bottom: 30px;
  font-family: 'Roboto', sans-serif;
}

.iconos-redes-sociales a
{
  width: 50px;
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 2px;
  margin: 10px;
  border: 2px solid white;
  border-radius: 50%;
  transition: all 0.2s ease-in;
  
}


.iconos-redes-sociales i
{
  color: white;
  font-size: 1.5rem;
  transition: all 0.2s ease-in;
}

.iconos-redes-sociales a:hover
{
  background-color: white;
  border: 2px solid rgb(13, 110, 253)
     
}

.iconos-redes-sociales a:hover i
{
  color: black;      
}


.derechos-de-autor
{
  color: #aeaeae;
  font-size: 15px;
  padding: 20px;
}

/* adaptable responsivo */

@media screen and (max-width: 767px)
{
 .navbar-brand{
  display: none;
 }
}

@media screen and (min-width: 700px)
{
 .hero-inferior-imagen{
  max-width: 600px;
 }
}


@media screen and (max-width: 800px)
{
 .testimonio-imagen{
  height: 120px;
  width: 120px;
   }

   .testimonio-texto{
    font-size: 18px;
    
     }
}


.titulos
 {
	font-family:'Roboto Slab', serif;
	font-size: 20px;
	color: #F7F7F7;
  background-color: rgb(2, 105, 55);
  height: 41;
  text-align: center;
}



.iconitos
{
  font-size: 2rem;
  color: #7ade30;
  background-color: #0a0a23;
  padding: 8px 19px;
  border-radius: 50%;
}